{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.superfile;
in {
  options.marleyos.programs.superfile.enable = lib.mkEnableOption "superfile";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      superfile
    ];

    xdg.configFile."superfile/config.toml".source = ./config.toml;
  };
}
